iT邦幫忙

0

用NetBeans IDE 7.3.1來撰寫php+Apacheb如何設定New Project??求幫助。

用NetBeans IDE 7.3.1來撰寫php是否有安裝完後的設定教學??
我在安裝完NetBeans IDE 7.3.後有幾個問題:
一開始先按下了New Project
在Chonse Project 選擇了PHP,Project我選 PHP_Application 然後下一步
***************************************************************
*************************************************************
到Name and Location裡
Project Name--->只是一個名稱應該可以隨便設吧!
問題一:
Sources Folder--->我把他選到了C:\Program Files (x86)\Apache Software Foundation\Apache2.2\htdocs
htdocs--->這個資料夾裡,也是我放網頁的地方,這樣可以嗎??

PHP Version--->預設值PHP5.4
Default Encoding--->預設值 UTF-8
問題二:
預設沒打勾他要我選個目錄應該沒差吧??--->Put NetBeans netdata into a aparate directory
***************************************************************
*************************************************************
再來到Run Configuration
問題三:
Run As :--->有四個選項我該選哪一個??
1.Local Web Site (running on local web server)-->我事先選了這個是對的嗎???
2.Remote Web Site(FTP,SFTP)
3.Script (run in command line)
4.PHP Bnilt-in Web Server (running on built-in web server)

問題四:
Project URL-->我把目錄也選到htdocs--->這個資料夾裡,這樣對嗎??

其他下面都沒打勾接著按下一步
***************************************************************
*************************************************************
來到了PHP Frameworks頁面
問題五::
有四個框框可以打勾要勾哪幾個還是都打勾??
項目有:
1.Symfory2 PHP Web Framework
2.Symfory PHP Web Framework
3.Zend PHP Web Framework
4.Doctrine2 PHP Web Framework

問題六:
我勾了上面四個都便成紅色的字,下面驚嘆號顯示:
1.Symfony must be selected.
2.Symfony script must be selected. (see Tools > Options > PHP > Symfony)
3.Zend script must be selected. (see Tools > Options > PHP > Zend)
4.Doctrine2 script must be selected.

google翻譯:
1.Symfony的必須選擇。
2.Symfony的腳本必須選擇。 (見工具>選項> PHP> Symfony的)
3.Zend腳本的必須選擇。 (見“工具”>“選項”> PHP的Zend)
4.Doctrine2腳本必須選擇。

還是我沒安裝這四個軟體,該如何做???
麻煩高手教導一下,拜託了,拜託。

看更多先前的討論...收起先前的討論...
忽然發現
倘若作業交不出來
貼張美女大頭貼
在網路上"找"答案也是個不錯的方法...呵
iknowlab iT邦研究生 4 級 ‧ 2013-08-28 23:16:46 檢舉
這麼大篇的問題,如果真的要回答,也不會寫的比 NetBeans 的 Help 或是官網上的範例來的好吧!
所以,真的要搞懂,一定要長期抗戰,拜個師父,好幾個套件都學會,才能融會貫通。
如果你是學生,當然不要枉費你已繳的學費,纏著教授就對了。
如果是「在職進修」,向公司請「教育訓練費」。
也是能找得到有佛心的師父,就看你跟他有沒有緣份了。
fbyiting iT邦新手 5 級 ‧ 2013-08-28 23:57:06 檢舉
好了~了解了,不好意思,在我多去翻譯找看看,因為是第一次接觸,謝謝您的指點,謝謝。
wiseguy iT邦超人 1 級 ‧ 2013-08-29 00:08:28 檢舉
初學就要玩這麼大啊?是要寫什麼大案子嗎?
如果只是要應付學校作業,或者自己研究研究,可以從一些簡單的文字處理器開始用就好了,比如 Notepad++ 就嚇嚇叫了。
至於是不是用 Framework 是見人見智啦~ 我寫十幾年了,寫過一套上百萬的 case,也從沒用過 Framework,或者說自己已經累積一套 Framework 了,你寫多了就自然會累積自己的程式庫了。要不然初學者再多學 Framework 都是時間成本。
fbyiting iT邦新手 5 級 ‧ 2013-08-29 01:18:08 檢舉
恩恩,好的謝謝您的建議,真的非常感謝。

1 個回答

6
老鷹(eagle)
iT邦高手 1 級 ‧ 2013-08-29 08:33:38

點擊new project,
然後會看到以下畫面,你要練習選擇.

然後下一步,會看到這個畫面.

第一個名稱(自取),第二個位置(選擇沒有使用過netbeans的資料夾[a]),
第三位置選擇你要使用的PHP版本,
第四個選擇你要開發的語言(通常因該都是UTF-8或者BIG5),然後下一步,

這邊來講確認一下就好了,就可以下一步了,

沒使用PHP框架就直接完成了!!

a.有使用過netbeans的專案裡面會有一個資料夾nbproject,如果有這個資料夾就無法用建立專案!

看更多先前的回應...收起先前的回應...
fbyiting iT邦新手 5 級 ‧ 2013-08-29 10:44:04 檢舉

謝謝chingfeng,可以使用了,非常感謝您,謝謝。

總裁 iT邦好手 1 級 ‧ 2013-08-29 10:46:59 檢舉

如果那個頭像是您本人,相信老鷹會很樂意接受您當面道謝的...謝謝

fbyiting提到:
謝謝chingfeng,可以使用了,非常感謝您,謝謝。

netbeans是我推薦你的,忘記教你介面了!

cdfu提到:
如果那個頭像是您本人,相信老鷹會很樂意接受您當面道謝的...

臉紅

我要發表回答

立即登入回答